#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/10/29 01:19
# @File        : init_migrate.py
# @Description :
"""

from flask import Flask
from flask_migrate import Migrate

from application.extensions.init_sqlalchemy import db

migrate = Migrate()


def init_migrate(app: Flask) -> None:
    """
    Initialize the database extension

    :param app: flask.Flask application instance
    :return: None
    """
    migrate.init_app(app, db)
